### Method

# St Entry set_primary_icon

#### Declaration [src]

    void
    st_entry_set_primary_icon (
      StEntry* entry,
      ClutterActor* icon
    )

#### Description [src]

Set the primary icon of the entry to `icon`.

Sets property | `St.Entry:primary-icon`

#### Parameters

`icon`

  Type: `ClutterActor`

  A `ClutterActor`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.